Subject: Re: CCL:What do Molecular Graphics programs and MM programs do.

From: [email-masked] (Jeffrey L. Nauss)
Date: Fri, 26 Aug 1994 07:41:24 -0400

I am happy to provide you with my opinions on the matter.  The vast
majority of my experience has been with semi-empirical or classical
calculations.  I have had very little experience with ab initio and
quantum mechanical calculations.  Thus my answers will be a biased.

>From [email-masked]  Thu Aug 25 22:16:36 1994
>From: [email-masked] (Subhas Chakravorty)

>What would be a minimum requirement for a program to be termed
>as one which models a molecule.
>1. Just display the molecule on a screen.

Not really.  This would more appropriately be called molecular
graphics, the visualization of a molecular structure.  It is more a
computer graphics question than anything else.  OTOH one can develope
a program by which one could use fragments of molecules to build a
complete structure on the screen.  In a sense, this type of program
would be called a molecular modeling program albeit a very primitive
one.

>2. Optimise the geometry based on what kind of input ?

The input comes from three sources: (1) the cartesian coordinates of
the atoms making up the molecues, (2) the internal coordinates of the
molecule, i.e. bond lengths, bond angles, torsion angles, (3) other
constraints as selected by the user.  As a ubiqitous example of the
third set of input data, any molecular modelling program will have a
set of standard or ideal internal coordinates.  The program would then
optimize the geometry to minimize deviations from these ideal internal
coordinates.  The exact means by which this optimization takes place
is what differentiates the different force fields and molecular
modeling programs.  

Please note two things.  The program could start with either the
cartesian coordinates or the internal coordinates.  The two are
interchangable as soon as you define the coordinates of the first
three atoms.  Also, the molecular modeling and optimization do not
have to involve molecular graphics.  It can be and has been done
independent of any screen display.

>3. What kind of interactions are treated.

Name anything.  It has probably been studied.  Usually the
interactions are broken into two major categories: bonded and
non-bonded interactions.  Bonded interactions are those between any
two atoms within three bond lengths of each other.  At a minimum they
would include bond length, bond angle, and torsion angle energies.
(Some folks may argue with me that torsion angle energies are bonded
interactions.)  Some researchers such as AT Hagler at Biosym
Technologies believe strongly in the importance of cross-terms.  So
they include bond length-bond angle interactions and such.

Non-bonded interactions involve London dispersion forces and repulsion
terms.  One example of these types of interactions is the calculation
of non-bonded interactions via the van der Waals equation.  Another
very important non-bonded interaction is electrostatics, the
application of Coulomb's law to the partial charges on the individual
atoms.  Hydrogen bonding interactions are sometimes explicitly
included (e.g. Peter Kollman's AMBER).  Finally, the user can define
some energy term for some special purpose.  These are usually a
harmonic function involving distances with the molecule.

>4. Do some kind of spectral analysis.

I don't see this as part of a molecular modeling program.  Rather I
see it as a result of data analysis from molecular modeling.

If you would please, I would appreciate receiving a summary of your
responses.
						Jeff Nauss

****************************************************************************
*  UU    UU             Jeffrey L. Nauss, PhD                              *
*  UU    UU             Director, Molecular Modeling Services              *
*  UU    UU             Department of Chemistry                            *
*  UU    UU CCCCCCC     University of Cincinnati                           *
*   UU  UU CCCCCCCC     Cincinnati, OH 45221-0172                          *
*    UUUU CC                                                               *
*         CC            Telephone: 513-556-0148    Fax: 513-556-9239       *
*         CC                                                               *
*          CCCCCCCC     e-mail: [email-masked]                    *
*           CCCCCCC                                                        *
****************************************************************************